local E, L, V, P, G = unpack(ElvUI);
local GNUI = E:GetModule("GennUI");

function GNUI:LoadOmniCDProfile()
OmniCDDB = {
	["profileKeys"] = {
		["Trolløsaurus - Stormscale"] = "Default",
	},
	["cooldowns"] = {
	},
	["namespaces"] = {
		["LibDualSpec-1.0"] = {
		},
	},
	["global"] = {
		["disableElvMsg"] = true,
	},
	["version"] = 2.51,
	["profiles"] = {
		["Default"] = {
			["Party"] = {
				["party"] = {
					["extraBars"] = {
						["interruptBar"] = {
							["barColors"] = {
								["useClassColor"] = {
									["inactive"] = true,
									["recharge"] = true,
									["active"] = true,
								},
							},
							["locked"] = true,
						},
						["raidCDBar"] = {
							["enabled"] = false,
						},
					},
					["spells"] = {
						["327574"] = true,
						["205191"] = true,
						["12975"] = true,
						["212182"] = true,
						["198100"] = true,
						["107570"] = true,
						["205369"] = true,
						["221562"] = true,
						["206803"] = true,
						["345231"] = true,
						["55233"] = true,
						["204293"] = false,
						["179057"] = true,
						["5211"] = true,
						["498"] = true,
						["49039"] = true,
						["231895"] = false,
						["207777"] = true,
						["207736"] = true,
						["3411"] = true,
						["207399"] = true,
						["51514"] = true,
						["79140"] = false,
						["31821"] = true,
						["86659"] = true,
						["119381"] = true,
						["88625"] = true,
						["236077"] = true,
						["345228"] = true,
						["47476"] = true,
						["47481"] = false,
						["233759"] = true,
						["48743"] = true,
						["108194"] = true,
						["6940"] = true,
						["115176"] = true,
						["108280"] = true,
						["46968"] = true,
						["740"] = true,
						["184662"] = true,
						["31850"] = true,
						["19577"] = true,
						["5484"] = true,
						["305497"] = true,
						["7744"] = true,
						["113942"] = true,
						["108416"] = true,
						["30283"] = true,
						["209584"] = true,
					},
					["icons"] = {
						["counterScale"] = 0.9,
						["scale"] = 0.6000000000000001,
						["chargeScale"] = 1,
						["swipeAlpha"] = 0,
					},
					["position"] = {
						["paddingX"] = 1,
						["attach"] = "TOPLEFT",
						["preset"] = "TOPLEFT",
						["offsetX"] = 1,
						["anchor"] = "TOPRIGHT",
						["paddingY"] = 1,
					},
					["general"] = {
						["showPlayer"] = true,
						["zoneSelected"] = "arena",
					},
					["manualPos"] = {
						["interruptBar"] = {
							["y"] = 539.3420191947662,
							["x"] = 304.7469463133748,
						},
					},
				},
				["arena"] = {
					["extraBars"] = {
						["interruptBar"] = {
							["barColors"] = {
								["useClassColor"] = {
									["inactive"] = true,
									["recharge"] = true,
									["active"] = true,
								},
							},
							["locked"] = true,
							["enabled"] = true,
						},
					},
					["manualPos"] = {
						["interruptBar"] = {
							["y"] = 539.3420191947662,
							["x"] = 304.7469463133748,
						},
					},
					["spells"] = {
						["327574"] = true,
						["205191"] = true,
						["12975"] = true,
						["212182"] = true,
						["198100"] = true,
						["6940"] = true,
						["205369"] = true,
						["221562"] = true,
						["206803"] = true,
						["345231"] = true,
						["55233"] = true,
						["204293"] = false,
						["179057"] = true,
						["233759"] = true,
						["5211"] = true,
						["498"] = true,
						["49039"] = true,
						["231895"] = false,
						["207777"] = true,
						["207736"] = true,
						["305497"] = true,
						["3411"] = true,
						["207399"] = true,
						["51514"] = true,
						["79140"] = false,
						["31821"] = true,
						["86659"] = true,
						["119381"] = true,
						["88625"] = true,
						["345228"] = true,
						["47476"] = true,
						["48743"] = true,
						["209584"] = true,
						["108416"] = true,
						["107570"] = true,
						["7744"] = true,
						["184662"] = true,
						["31850"] = true,
						["740"] = true,
						["5484"] = true,
						["19577"] = true,
						["46968"] = true,
						["108280"] = true,
						["115176"] = true,
						["113942"] = true,
						["108194"] = true,
						["30283"] = true,
						["47481"] = false,
						["236077"] = true,
					},
					["icons"] = {
						["counterScale"] = 0.9,
						["scale"] = 0.6000000000000001,
						["swipeAlpha"] = 0,
						["chargeScale"] = 1,
					},
					["position"] = {
						["paddingX"] = 1,
						["attach"] = "TOPLEFT",
						["preset"] = "TOPLEFT",
						["offsetX"] = 1,
						["anchor"] = "TOPRIGHT",
						["paddingY"] = 1,
					},
					["general"] = {
						["showPlayer"] = true,
					},
				},
				["visibility"] = {
					["finder"] = true,
				},
			},
			["General"] = {
				["fonts"] = {
					["statusBar"] = {
						["font"] = "Futura PT Medium",
						["flag"] = "OUTLINE",
					},
					["optionSmall"] = {
						["font"] = "Futura PT Medium",
					},
					["anchor"] = {
						["font"] = "Futura PT Medium",
					},
					["icon"] = {
						["font"] = "Futura PT Medium",
					},
					["option"] = {
						["font"] = "Futura PT Medium",
					},
				},
				["textures"] = {
					["statusBar"] = {
						["BG"] = "GennUI Melli",
						["bar"] = "GennUI Melli",
					},
				},
			},
		},
	},
}

end