local E, L, V, P, G = unpack(ElvUI)
local IsAddOnLoaded = IsAddOnLoaded
local format = string.format
local MyPluginName = "GennUI"
local GNUI = E:GetModule("GennUI");
local classColor = E:ClassColor(E.myclass, true)

function GNUI:SetupActionBars()
E.db["actionbar"]["bar1"]["buttonSpacing"] = 1
E.db["actionbar"]["bar1"]["countFont"] = "Futura PT Medium"
E.db["actionbar"]["bar1"]["countFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar1"]["countFontSize"] = 11
E.db["actionbar"]["bar1"]["enabled"] = true
E.db["actionbar"]["bar1"]["hotkeyFont"] = "Futura PT Medium"
E.db["actionbar"]["bar1"]["hotkeyFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar1"]["hotkeyFontSize"] = 11
E.db["actionbar"]["bar1"]["hotkeyTextXOffset"] = 1
E.db["actionbar"]["bar1"]["hotkeyTextYOffset"] = -1
E.db["actionbar"]["bar1"]["macroFont"] = "Futura PT Medium"
E.db["actionbar"]["bar1"]["macroFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar1"]["macroFontSize"] = 11
E.db["actionbar"]["bar1"]["macroTextPosition"] = "BOTTOM"
E.db["actionbar"]["bar1"]["macroTextYOffset"] = 10
E.db["actionbar"]["bar1"]["macrotext"] = true
E.db["actionbar"]["bar10"]["buttonSpacing"] = 1
E.db["actionbar"]["bar10"]["countFont"] = "Futura PT Medium"
E.db["actionbar"]["bar10"]["countFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar10"]["countFontSize"] = 11
E.db["actionbar"]["bar10"]["enabled"] = false
E.db["actionbar"]["bar10"]["hotkeyFont"] = "Futura PT Medium"
E.db["actionbar"]["bar10"]["hotkeyFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar10"]["hotkeyFontSize"] = 11
E.db["actionbar"]["bar10"]["hotkeyTextXOffset"] = 1
E.db["actionbar"]["bar10"]["hotkeyTextYOffset"] = -1
E.db["actionbar"]["bar10"]["macroFont"] = "Futura PT Medium"
E.db["actionbar"]["bar10"]["macroFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar10"]["macroFontSize"] = 11
E.db["actionbar"]["bar10"]["macroTextPosition"] = "BOTTOM"
E.db["actionbar"]["bar10"]["macroTextYOffset"] = 10
E.db["actionbar"]["bar10"]["macrotext"] = true
E.db["actionbar"]["bar2"]["buttonSpacing"] = 1
E.db["actionbar"]["bar2"]["countFont"] = "Futura PT Medium"
E.db["actionbar"]["bar2"]["countFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar2"]["countFontSize"] = 11
E.db["actionbar"]["bar2"]["enabled"] = true
E.db["actionbar"]["bar2"]["hotkeyFont"] = "Futura PT Medium"
E.db["actionbar"]["bar2"]["hotkeyFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar2"]["hotkeyFontSize"] = 11
E.db["actionbar"]["bar2"]["hotkeyTextXOffset"] = 1
E.db["actionbar"]["bar2"]["hotkeyTextYOffset"] = -1
E.db["actionbar"]["bar2"]["macroFont"] = "Futura PT Medium"
E.db["actionbar"]["bar2"]["macroFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar2"]["macroFontSize"] = 11
E.db["actionbar"]["bar2"]["macroTextPosition"] = "BOTTOM"
E.db["actionbar"]["bar2"]["macroTextYOffset"] = 10
E.db["actionbar"]["bar2"]["macrotext"] = true
E.db["actionbar"]["bar3"]["buttonSpacing"] = 1
E.db["actionbar"]["bar3"]["buttons"] = 12
E.db["actionbar"]["bar3"]["buttonsPerRow"] = 6
E.db["actionbar"]["bar3"]["countFont"] = "Futura PT Medium"
E.db["actionbar"]["bar3"]["countFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar3"]["countFontSize"] = 11
E.db["actionbar"]["bar3"]["enabled"] = true
E.db["actionbar"]["bar3"]["hotkeyFont"] = "Futura PT Medium"
E.db["actionbar"]["bar3"]["hotkeyFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar3"]["hotkeyFontSize"] = 11
E.db["actionbar"]["bar3"]["hotkeyTextXOffset"] = 1
E.db["actionbar"]["bar3"]["hotkeyTextYOffset"] = -1
E.db["actionbar"]["bar3"]["macroFont"] = "Futura PT Medium"
E.db["actionbar"]["bar3"]["macroFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar3"]["macroFontSize"] = 11
E.db["actionbar"]["bar3"]["macroTextPosition"] = "BOTTOM"
E.db["actionbar"]["bar3"]["macroTextYOffset"] = 10
E.db["actionbar"]["bar3"]["macrotext"] = true
E.db["actionbar"]["bar4"]["backdrop"] = false
E.db["actionbar"]["bar4"]["buttonSpacing"] = 1
E.db["actionbar"]["bar4"]["countFont"] = "Futura PT Medium"
E.db["actionbar"]["bar4"]["countFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar4"]["countFontSize"] = 11
E.db["actionbar"]["bar4"]["enabled"] = true
E.db["actionbar"]["bar4"]["hotkeyFont"] = "Futura PT Medium"
E.db["actionbar"]["bar4"]["hotkeyFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar4"]["hotkeyFontSize"] = 11
E.db["actionbar"]["bar4"]["hotkeyTextXOffset"] = 1
E.db["actionbar"]["bar4"]["hotkeyTextYOffset"] = -1
E.db["actionbar"]["bar4"]["macroFont"] = "Futura PT Medium"
E.db["actionbar"]["bar4"]["macroFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar4"]["macroFontSize"] = 11
E.db["actionbar"]["bar4"]["macroTextPosition"] = "BOTTOM"
E.db["actionbar"]["bar4"]["macroTextYOffset"] = 10
E.db["actionbar"]["bar4"]["macrotext"] = true
E.db["actionbar"]["bar5"]["buttonSpacing"] = 1
E.db["actionbar"]["bar5"]["buttons"] = 12
E.db["actionbar"]["bar5"]["buttonsPerRow"] = 6
E.db["actionbar"]["bar5"]["countFont"] = "Futura PT Medium"
E.db["actionbar"]["bar5"]["countFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar5"]["countFontSize"] = 11
E.db["actionbar"]["bar5"]["enabled"] = true
E.db["actionbar"]["bar5"]["hotkeyFont"] = "Futura PT Medium"
E.db["actionbar"]["bar5"]["hotkeyFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar5"]["hotkeyFontSize"] = 11
E.db["actionbar"]["bar5"]["hotkeyTextXOffset"] = 1
E.db["actionbar"]["bar5"]["hotkeyTextYOffset"] = -1
E.db["actionbar"]["bar5"]["macroFont"] = "Futura PT Medium"
E.db["actionbar"]["bar5"]["macroFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar5"]["macroFontSize"] = 11
E.db["actionbar"]["bar5"]["macroTextPosition"] = "BOTTOM"
E.db["actionbar"]["bar5"]["macroTextYOffset"] = 10
E.db["actionbar"]["bar5"]["macrotext"] = true
E.db["actionbar"]["bar6"]["buttonSpacing"] = 1
E.db["actionbar"]["bar6"]["countFont"] = "Futura PT Medium"
E.db["actionbar"]["bar6"]["countFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar6"]["countFontSize"] = 11
E.db["actionbar"]["bar6"]["enabled"] = false
E.db["actionbar"]["bar6"]["hotkeyFont"] = "Futura PT Medium"
E.db["actionbar"]["bar6"]["hotkeyFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar6"]["hotkeyFontSize"] = 11
E.db["actionbar"]["bar6"]["hotkeyTextXOffset"] = 1
E.db["actionbar"]["bar6"]["hotkeyTextYOffset"] = -1
E.db["actionbar"]["bar6"]["macroFont"] = "Futura PT Medium"
E.db["actionbar"]["bar6"]["macroFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar6"]["macroFontSize"] = 11
E.db["actionbar"]["bar6"]["macroTextPosition"] = "BOTTOM"
E.db["actionbar"]["bar6"]["macroTextYOffset"] = 10
E.db["actionbar"]["bar6"]["macrotext"] = true
E.db["actionbar"]["bar7"]["buttonSpacing"] = 1
E.db["actionbar"]["bar7"]["countFont"] = "Futura PT Medium"
E.db["actionbar"]["bar7"]["countFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar7"]["countFontSize"] = 11
E.db["actionbar"]["bar7"]["enabled"] = false
E.db["actionbar"]["bar7"]["hotkeyFont"] = "Futura PT Medium"
E.db["actionbar"]["bar7"]["hotkeyFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar7"]["hotkeyFontSize"] = 11
E.db["actionbar"]["bar7"]["hotkeyTextXOffset"] = 1
E.db["actionbar"]["bar7"]["hotkeyTextYOffset"] = -1
E.db["actionbar"]["bar7"]["macroFont"] = "Futura PT Medium"
E.db["actionbar"]["bar7"]["macroFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar7"]["macroFontSize"] = 11
E.db["actionbar"]["bar7"]["macroTextPosition"] = "BOTTOM"
E.db["actionbar"]["bar7"]["macroTextYOffset"] = 10
E.db["actionbar"]["bar7"]["macrotext"] = true
E.db["actionbar"]["bar8"]["buttonSpacing"] = 1
E.db["actionbar"]["bar8"]["countFont"] = "Futura PT Medium"
E.db["actionbar"]["bar8"]["countFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar8"]["countFontSize"] = 11
E.db["actionbar"]["bar8"]["enabled"] = false
E.db["actionbar"]["bar8"]["hotkeyFont"] = "Futura PT Medium"
E.db["actionbar"]["bar8"]["hotkeyFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar8"]["hotkeyFontSize"] = 11
E.db["actionbar"]["bar8"]["hotkeyTextXOffset"] = 1
E.db["actionbar"]["bar8"]["hotkeyTextYOffset"] = -1
E.db["actionbar"]["bar8"]["macroFont"] = "Futura PT Medium"
E.db["actionbar"]["bar8"]["macroFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar8"]["macroFontSize"] = 11
E.db["actionbar"]["bar8"]["macroTextPosition"] = "BOTTOM"
E.db["actionbar"]["bar8"]["macroTextYOffset"] = 10
E.db["actionbar"]["bar8"]["macrotext"] = true
E.db["actionbar"]["bar9"]["buttonSpacing"] = 1
E.db["actionbar"]["bar9"]["countFont"] = "Futura PT Medium"
E.db["actionbar"]["bar9"]["countFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar9"]["countFontSize"] = 11
E.db["actionbar"]["bar9"]["enabled"] = false
E.db["actionbar"]["bar9"]["hotkeyFont"] = "Futura PT Medium"
E.db["actionbar"]["bar9"]["hotkeyFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar9"]["hotkeyFontSize"] = 11
E.db["actionbar"]["bar9"]["hotkeyTextXOffset"] = 1
E.db["actionbar"]["bar9"]["hotkeyTextYOffset"] = -1
E.db["actionbar"]["bar9"]["macroFont"] = "Futura PT Medium"
E.db["actionbar"]["bar9"]["macroFontOutline"] = "OUTLINE"
E.db["actionbar"]["bar9"]["macroFontSize"] = 11
E.db["actionbar"]["bar9"]["macroTextPosition"] = "BOTTOM"
E.db["actionbar"]["bar9"]["macroTextYOffset"] = 10
E.db["actionbar"]["bar9"]["macrotext"] = true
E.db["actionbar"]["barPet"]["backdrop"] = false
E.db["actionbar"]["barPet"]["buttonSize"] = 21
E.db["actionbar"]["barPet"]["buttonSpacing"] = 1
E.db["actionbar"]["barPet"]["buttonsPerRow"] = 10
E.db["actionbar"]["barPet"]["countFont"] = "Futura PT Medium"
E.db["actionbar"]["barPet"]["countFontOutline"] = "OUTLINE"
E.db["actionbar"]["barPet"]["countFontSize"] = 11
E.db["actionbar"]["barPet"]["hotkeyFont"] = "Futura PT Medium"
E.db["actionbar"]["barPet"]["hotkeyFontOutline"] = "OUTLINE"
E.db["actionbar"]["barPet"]["hotkeyFontSize"] = 11
E.db["actionbar"]["barPet"]["hotkeyTextXOffset"] = 1
E.db["actionbar"]["barPet"]["hotkeyTextYOffset"] = -1
E.db["actionbar"]["barPet"]["point"] = "TOPLEFT"
E.db["actionbar"]["countTextXOffset"] = 1
E.db["actionbar"]["countTextYOffset"] = 1
E.db["actionbar"]["extraActionButton"]["clean"] = true
E.db["actionbar"]["extraActionButton"]["hotkeyFont"] = "Futura PT Medium"
E.db["actionbar"]["extraActionButton"]["hotkeyFontOutline"] = "OUTLINE"
E.db["actionbar"]["extraActionButton"]["hotkeyFontSize"] = 12
E.db["actionbar"]["extraActionButton"]["hotkeyTextXOffset"] = 1
E.db["actionbar"]["extraActionButton"]["hotkeyTextYOffset"] = -1
E.db["actionbar"]["extraActionButton"]["scale"] = 0.75
E.db["actionbar"]["font"] = "Futura PT Medium"
E.db["actionbar"]["fontOutline"] = "OUTLINE"
E.db["actionbar"]["fontSize"] = 11
E.db["actionbar"]["macroTextPosition"] = "BOTTOM"
E.db["actionbar"]["microbar"]["buttonHeight"] = 24
E.db["actionbar"]["microbar"]["buttonSpacing"] = 1
E.db["actionbar"]["microbar"]["enabled"] = true
E.db["actionbar"]["microbar"]["mouseover"] = true
E.db["actionbar"]["stanceBar"]["buttonSize"] = 24
E.db["actionbar"]["stanceBar"]["buttonSpacing"] = 1
E.db["actionbar"]["stanceBar"]["hotkeyFont"] = "Futura PT Medium"
E.db["actionbar"]["stanceBar"]["hotkeyFontOutline"] = "OUTLINE"
E.db["actionbar"]["stanceBar"]["hotkeyFontSize"] = 11
E.db["actionbar"]["stanceBar"]["hotkeyTextXOffset"] = 1
E.db["actionbar"]["stanceBar"]["hotkeyTextYOffset"] = -1
E.db["actionbar"]["stanceBar"]["mouseover"] = true
E.db["actionbar"]["useRangeColorText"] = true
E.db["actionbar"]["vehicleExitButton"]["hotkeyFont"] = "Futura PT Medium"
E.db["actionbar"]["vehicleExitButton"]["hotkeyFontOutline"] = "OUTLINE"
E.db["actionbar"]["vehicleExitButton"]["hotkeyFontSize"] = 12
E.db["actionbar"]["vehicleExitButton"]["hotkeyTextXOffset"] = 1
E.db["actionbar"]["vehicleExitButton"]["hotkeyTextYOffset"] = -1
E.db["actionbar"]["zoneActionButton"]["clean"] = true
E.db["actionbar"]["zoneActionButton"]["scale"] = 0.75
end