local E, L, V, P, G = unpack(ElvUI);
local GNUI = E:GetModule("GennUI");

function GNUI:LoadiMTProfile()
IPMTDB = {
}
IPMTOptions = {
	["MDTversion"] = "3.5.6",
	["direction"] = 1,
	["global"] = {
		["minimap"] = {
			["hide"] = true,
		},
	},
	["wavesound"] = "Interface\\AddOns\\ElvUI\\Media\\Sounds\\DumbShit.ogg",
	["progress"] = 1,
	["percentAlert"] = 16,
	["version"] = 1306,
	["position"] = {
		["deaths"] = {
			["y"] = -50,
			["x"] = 0,
			["point"] = "CENTER",
		},
		["main"] = {
			["y"] = 203,
			["x"] = -288,
			["point"] = "RIGHT",
		},
		["options"] = {
			["y"] = 42,
			["x"] = -159,
			["point"] = "CENTER",
		},
	},
	["scale"] = 20,
	["theme"] = 2,
	["wavealert"] = true,
}
IPMTDungeon = {
	["players"] = {
	},
	["trash"] = {
		["total"] = 0,
		["current"] = 0,
		["killed"] = 0,
	},
	["id"] = 0,
	["combat"] = {
		["killed"] = {
		},
		["boss"] = false,
	},
	["affixes"] = {
	},
	["keyActive"] = false,
	["prognosis"] = {
	},
	["checkmobs"] = {
	},
	["deathes"] = {
	},
	["artwork"] = 3759909,
	["timeLimit"] = {
	},
	["level"] = 0,
	["time"] = 0,
	["isTeeming"] = false,
}
IPMTTheme = {
	{
		["decors"] = {
		},
		["font"] = "Interface\\AddOns\\iPMythicTimer\\media\\RobotoCondensed-Regular.ttf",
		["name"] = "Default",
		["fontStyle"] = "",
		["main"] = {
			["background"] = {
				["texSize"] = {
					["w"] = 0,
					["h"] = 0,
				},
				["color"] = {
					["a"] = 0.4,
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["coords"] = {
					0, -- [1]
					1, -- [2]
					0, -- [3]
					1, -- [4]
				},
				["inset"] = 0,
				["texture"] = "Interface\\Buttons\\WHITE8X8",
			},
			["border"] = {
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["texture"] = "none",
				["size"] = 8,
			},
			["size"] = {
				["w"] = 180.0000762939453,
				["h"] = 79.99993896484375,
			},
		},
		["elements"] = {
			["plusLevel"] = {
				["fontSize"] = 13,
				["justifyH"] = "LEFT",
				["position"] = {
					["y"] = -16,
					["x"] = 30,
					["point"] = "LEFT",
					["rPoint"] = "TOPLEFT",
				},
				["color"] = {
					["a"] = 1,
					["r"] = 0.8,
					["g"] = 0.8,
					["b"] = 0.8,
				},
				["hidden"] = false,
				["size"] = {
					["w"] = 20,
					["h"] = 20,
				},
			},
			["affixes"] = {
				["iconSize"] = 22,
				["size"] = {
					["w"] = 90,
					["h"] = 30,
				},
				["hidden"] = false,
				["position"] = {
					["y"] = 0,
					["x"] = -2,
					["point"] = "TOPRIGHT",
					["rPoint"] = "TOPRIGHT",
				},
			},
			["progress"] = {
				["fontSize"] = 22,
				["justifyH"] = "LEFT",
				["position"] = {
					["y"] = 14,
					["x"] = 6,
					["point"] = "LEFT",
					["rPoint"] = "BOTTOMLEFT",
				},
				["color"] = {
					["a"] = 1,
					["r"] = 0.8,
					["g"] = 0.8,
					["b"] = 0.8,
				},
				["hidden"] = false,
				["size"] = {
					["w"] = 90,
					["h"] = 30,
				},
			},
			["plusTimer"] = {
				["fontSize"] = 12,
				["justifyH"] = "LEFT",
				["position"] = {
					["y"] = 0,
					["x"] = 50,
					["point"] = "LEFT",
					["rPoint"] = "LEFT",
				},
				["color"] = {
					["a"] = 1,
					["r"] = 0.8,
					["g"] = 0.8,
					["b"] = 0.8,
				},
				["hidden"] = false,
				["size"] = {
					["w"] = 50,
					["h"] = 18,
				},
			},
			["deathTimer"] = {
				["fontSize"] = 12,
				["justifyH"] = "RIGHT",
				["position"] = {
					["y"] = 0,
					["x"] = -6,
					["point"] = "RIGHT",
					["rPoint"] = "RIGHT",
				},
				["color"] = {
					["a"] = 1,
					["r"] = 0.6,
					["g"] = 0.2,
					["b"] = 0.2,
				},
				["hidden"] = false,
				["size"] = {
					["w"] = 60,
					["h"] = 18,
				},
			},
			["prognosis"] = {
				["fontSize"] = 15,
				["justifyH"] = "LEFT",
				["position"] = {
					["y"] = 14,
					["x"] = 16,
					["point"] = "CENTER",
					["rPoint"] = "BOTTOM",
				},
				["color"] = {
					["a"] = 1,
					["r"] = 0.8,
					["g"] = 0.8,
					["b"] = 0.8,
				},
				["hidden"] = false,
				["size"] = {
					["w"] = 60,
					["h"] = 20,
				},
			},
			["dungeonname"] = {
				["fontSize"] = 13,
				["justifyH"] = "LEFT",
				["position"] = {
					["y"] = 4,
					["x"] = 0,
					["point"] = "BOTTOMLEFT",
					["rPoint"] = "TOPLEFT",
				},
				["color"] = {
					["a"] = 1,
					["r"] = 0.8,
					["g"] = 0.8,
					["b"] = 0.8,
				},
				["justifyV"] = "BOTTOM",
				["hidden"] = false,
				["size"] = {
					["w"] = 180,
					["h"] = 100,
				},
			},
			["level"] = {
				["fontSize"] = 20,
				["justifyH"] = "LEFT",
				["position"] = {
					["y"] = -16,
					["x"] = 6,
					["point"] = "LEFT",
					["rPoint"] = "TOPLEFT",
				},
				["color"] = {
					["a"] = 1,
					["r"] = 0.8,
					["g"] = 0.8,
					["b"] = 0.8,
				},
				["hidden"] = false,
				["size"] = {
					["w"] = 20,
					["h"] = 20,
				},
			},
			["timer"] = {
				["fontSize"] = 12,
				["justifyH"] = "LEFT",
				["position"] = {
					["y"] = 0,
					["x"] = 6,
					["point"] = "LEFT",
					["rPoint"] = "LEFT",
				},
				["color"] = {
					{
						["a"] = 1,
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					}, -- [1]
					{
						["a"] = 1,
						["r"] = 0,
						["g"] = 1,
						["b"] = 0,
					}, -- [2]
					[0] = {
						["a"] = 1,
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					[-1] = {
						["a"] = 1,
						["r"] = 1,
						["g"] = 0,
						["b"] = 0,
					},
				},
				["hidden"] = false,
				["size"] = {
					["w"] = 50,
					["h"] = 18,
				},
			},
			["bosses"] = {
				["fontSize"] = 22,
				["justifyH"] = "RIGHT",
				["position"] = {
					["y"] = 14,
					["x"] = -6,
					["point"] = "RIGHT",
					["rPoint"] = "BOTTOMRIGHT",
				},
				["color"] = {
					["a"] = 1,
					["r"] = 0.8,
					["g"] = 0.8,
					["b"] = 0.8,
				},
				["hidden"] = false,
				["size"] = {
					["w"] = 50,
					["h"] = 30,
				},
			},
		},
	}, -- [1]
	{
		["decors"] = {
		},
		["font"] = "Interface\\AddOns\\ElvUI_GennUI\\media\\fonts\\FuturaPTMedium.otf",
		["name"] = "GennUI",
		["fontStyle"] = "OUTLINE",
		["main"] = {
			["background"] = {
				["texSize"] = {
					["w"] = 256,
					["h"] = 128,
				},
				["color"] = {
					["a"] = 0.4031020402908325,
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["coords"] = {
					0.01953125, -- [1]
					0.66015625, -- [2]
					0.0390625, -- [3]
					0.7109375, -- [4]
				},
				["inset"] = 0,
				["texture"] = "dungeon",
			},
			["border"] = {
				["color"] = {
					["a"] = 1,
					["r"] = 0.2274509803921569,
					["g"] = 0.2274509803921569,
					["b"] = 0.2274509803921569,
				},
				["texture"] = "Interface\\Buttons\\WHITE8X8",
				["size"] = 1,
			},
			["size"] = {
				["w"] = 180.0000762939453,
				["h"] = 79.99993896484375,
			},
		},
		["elements"] = {
			["plusLevel"] = {
				["fontSize"] = 12,
				["justifyH"] = "LEFT",
				["position"] = {
					["y"] = -16,
					["x"] = 30,
					["point"] = "LEFT",
					["rPoint"] = "TOPLEFT",
				},
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["hidden"] = false,
				["size"] = {
					["w"] = 20,
					["h"] = 20,
				},
			},
			["affixes"] = {
				["iconSize"] = 22,
				["size"] = {
					["w"] = 90,
					["h"] = 30,
				},
				["hidden"] = false,
				["position"] = {
					["y"] = 0,
					["x"] = -2,
					["point"] = "TOPRIGHT",
					["rPoint"] = "TOPRIGHT",
				},
			},
			["progress"] = {
				["fontSize"] = 18,
				["justifyH"] = "LEFT",
				["position"] = {
					["y"] = 14,
					["x"] = 6,
					["point"] = "LEFT",
					["rPoint"] = "BOTTOMLEFT",
				},
				["color"] = {
					["a"] = 1,
					["r"] = 0.02745098039215686,
					["g"] = 1,
					["b"] = 0.05490196078431373,
				},
				["hidden"] = false,
				["size"] = {
					["w"] = 90,
					["h"] = 30,
				},
			},
			["plusTimer"] = {
				["fontSize"] = 12,
				["justifyH"] = "LEFT",
				["position"] = {
					["y"] = 0,
					["x"] = 50,
					["point"] = "LEFT",
					["rPoint"] = "LEFT",
				},
				["color"] = {
					["a"] = 1,
					["r"] = 0.8,
					["g"] = 0.8,
					["b"] = 0.8,
				},
				["hidden"] = false,
				["size"] = {
					["w"] = 50,
					["h"] = 18,
				},
			},
			["deathTimer"] = {
				["fontSize"] = 12,
				["justifyH"] = "RIGHT",
				["position"] = {
					["y"] = 0,
					["x"] = -6,
					["point"] = "RIGHT",
					["rPoint"] = "RIGHT",
				},
				["color"] = {
					["a"] = 1,
					["r"] = 0,
					["g"] = 0.4549019607843137,
					["b"] = 1,
				},
				["hidden"] = false,
				["size"] = {
					["w"] = 60,
					["h"] = 18,
				},
			},
			["prognosis"] = {
				["fontSize"] = 12,
				["justifyH"] = "LEFT",
				["position"] = {
					["y"] = 12.70370864868164,
					["x"] = 66.9632568359375,
					["point"] = "LEFT",
					["rPoint"] = "BOTTOMLEFT",
				},
				["color"] = {
					["a"] = 1,
					["r"] = 0.8,
					["g"] = 0.8,
					["b"] = 0.8,
				},
				["hidden"] = false,
				["size"] = {
					["w"] = 60,
					["h"] = 20,
				},
			},
			["dungeonname"] = {
				["fontSize"] = 14,
				["justifyH"] = "LEFT",
				["position"] = {
					["y"] = 50.29626083374023,
					["x"] = 6.481201171875,
					["point"] = "LEFT",
					["rPoint"] = "TOPLEFT",
				},
				["color"] = {
					["a"] = 1,
					["r"] = 0.7686274509803921,
					["g"] = 0.1176470588235294,
					["b"] = 0.2274509803921569,
				},
				["justifyV"] = "BOTTOM",
				["hidden"] = false,
				["size"] = {
					["w"] = 180,
					["h"] = 100,
				},
			},
			["level"] = {
				["fontSize"] = 20,
				["justifyH"] = "LEFT",
				["position"] = {
					["y"] = -16,
					["x"] = 6,
					["point"] = "LEFT",
					["rPoint"] = "TOPLEFT",
				},
				["color"] = {
					["a"] = 1,
					["r"] = 0.7686274509803921,
					["g"] = 0.1176470588235294,
					["b"] = 0.2274509803921569,
				},
				["hidden"] = false,
				["size"] = {
					["w"] = 20,
					["h"] = 20,
				},
			},
			["timer"] = {
				["fontSize"] = 12,
				["justifyH"] = "LEFT",
				["position"] = {
					["y"] = 0,
					["x"] = 6,
					["point"] = "LEFT",
					["rPoint"] = "LEFT",
				},
				["color"] = {
					{
						["a"] = 1,
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					}, -- [1]
					{
						["a"] = 1,
						["r"] = 0,
						["g"] = 1,
						["b"] = 0,
					}, -- [2]
					[0] = {
						["a"] = 1,
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					[-1] = {
						["a"] = 1,
						["r"] = 1,
						["g"] = 0,
						["b"] = 0,
					},
				},
				["hidden"] = false,
				["size"] = {
					["w"] = 50,
					["h"] = 18,
				},
			},
			["bosses"] = {
				["fontSize"] = 16,
				["justifyH"] = "RIGHT",
				["position"] = {
					["y"] = 14,
					["x"] = -6,
					["point"] = "RIGHT",
					["rPoint"] = "BOTTOMRIGHT",
				},
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["hidden"] = false,
				["size"] = {
					["w"] = 50,
					["h"] = 30,
				},
			},
		},
	}, -- [2]
}
end